Skip to main content
POST
/
v1
/
pix-automatico
/
composite
/
decode
Decode a composite Pix Automático QR code from its URL
curl --request POST \
  --url https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/composite/decode \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "recurrencePayloadUrl": "<string>"
}
'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/composite/decode"

payload = { "recurrencePayloadUrl": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recurrencePayloadUrl: '<string>'})
};

fetch('https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/composite/decode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "contractNumber": "<string>",
  "debtor": {
    "cpfCnpj": "<string>",
    "name": "<string>",
    "personType": 123
  },
  "frequency": 123,
  "recipient": {
    "cnpj": "<string>",
    "ispb": "<string>",
    "name": "<string>"
  },
  "recurrenceId": "<string>",
  "retry": 123,
  "startDate": "<string>",
  "amount": 123,
  "contractDesc": "<string>",
  "createdDateTime": "<string>",
  "endDate": "<string>",
  "maxFloorAmount": 123,
  "presentedDateTime": "<string>",
  "updates": [
    {
      "status": 123,
      "statusDateTime": "<string>"
    }
  ]
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Obtain token from /v1/login/oauth/access_token endpoint using client credentials (clientId and clientSecret).

Include token in Authorization header: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Token expires after 3600 seconds (1 hour).

Body

application/json
recurrencePayloadUrl
string
required

The recurrence JWS host URL to decode (urlPayloadJsonRec; no scheme).

Response

OK

contractNumber
string
required

Contract/order identifier (nrContrato).

debtor
object
required
frequency
integer<int64>
required

tpFrequencia.

recipient
object
required
recurrenceId
string
required

Unique recurrence id.

retry
integer<int64>
required

retentativa policy.

startDate
string
required

First payment date (aaaa-mm-dd).

amount
number<double>

Fixed payment amount in reais.

contractDesc
string

Free-text contract description.

createdDateTime
string

QR creation timestamp (dtHrCriacao).

endDate
string

Last payment date (aaaa-mm-dd).

maxFloorAmount
number<double>

Floor amount in reais (pisoValorMaximo).

presentedDateTime
string

QR presentation timestamp (dtHrApresentacao).

updates
object[] | null

Recurrence status history (atualizacoes).